Bug 447008 - RFE: Use preferences-desktop-locale for menu entry icon
RFE: Use preferences-desktop-locale for menu entry icon
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
  Show dependency treegraph
Reported: 2008-05-16 18:47 EDT by Martin Sourada
Modified: 2008-06-26 02:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-26 02:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
it will change icon to preferences-desktop-locale for menu entry icon (2.26 KB, patch)
2008-05-22 23:27 EDT, Pravin Satpute
no flags Details | Diff

  None (edit)
Description Martin Sourada 2008-05-16 18:47:01 EDT
Description of problem:
Currently system-config-language ships it's own icon, while it could easily use
preferences-desktop-locale described in the icon-naming-specs. User would profit
from more consistent look of the menu entries, as the Bluecurve icon it uses now
fits only to the Bluecurve icon theme, while we use Mist (and in the future
probably Echo) as our default theme.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Needs to change system-config-language.desktop to contain (yes, w/o file extension)


and might drop shipping it's own icon.
Comment 1 Pravin Satpute 2008-05-22 23:27:38 EDT
Created attachment 306442 [details]
it will change icon to preferences-desktop-locale for menu entry icon
Comment 2 Pravin Satpute 2008-05-22 23:28:24 EDT
done changes in rawhide
rpm version system-config-language-1.2.15-4
Comment 3 Martin Sourada 2008-05-23 12:42:55 EDT
Thanks. Would be also nice to perform better lookup for the icon in the
application itself, see
http://library.gnome.org/devel/gtk/stable/GtkIconTheme.html for the icon lookup
functions in gtk+, I don't know how these functions are implemented in pygtk.
Comment 4 Pravin Satpute 2008-06-26 02:04:21 EDT
sure, i will try this once :)

Note You need to log in before you can comment on or make changes to this bug.